/* ==========================================================================
   Features
   ========================================================================== */

/* Feature List Item */

.features-container {
  margin: 92px auto 0 auto;
  display: block;
  @media (min-width:768px){
    width: 95%
  }
}

.features {
  & .feature-list{
    @extend .features-container;

    li {
      width: 259px;
      margin-left: 3%;
      margin-right: 3%;
      padding-bottom: 50px;
      vertical-align: top;

      .feature {
        position: relative;
        width: 153px;
        height: 148px;
        margin: 0 auto;
        display: block;
        margin-bottom: 45px;
        display: table;

        > * {
          display: table-cell;
          vertical-align: middle
        }

        /* triangle decoration */
        &:after {
          width: 0;
          height: 0;
          border-top: 10px solid rgba(0, 0, 0, .7);
          border-right: 10px solid transparent;
          border-left: 10px solid transparent;
          content: '';
          position: absolute;
          left: 50%;
          bottom: -10px;
          margin-left: -10px
        }
      }

      & {
        #{headings(all)},
        #{enumerate(".h",1,6,'')}{
          margin-bottom: 20px
        }
      }
    }
  }

  /* Feature Column Item */
  & div[class^='col-'],
  & div[class*=' col-'] {
    margin-bottom: 45px;
    > {
      #{headings(all)},
      #{enumerate(".h",1,6,'')} {
        margin-bottom: 20px
      }
      p {
        position: relative;
        margin: 0 auto;
        height: 92px;
        display: table;
        > *{
          display: table-cell;
          vertical-align: middle;
          padding: 0 0.1em
        }
      }
    }
  }
}